Subject: [alpine-devel] [PATCH] testing/duplicity: new aport

From: Matt Smith <[email-masked]>
Date: Wed, 15 Dec 2010 03:48:58 -0600

---
 testing/duplicity/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/duplicity/APKBUILD

diff --git a/testing/duplicity/APKBUILD b/testing/duplicity/APKBUILD
new file mode 100644
index 0000000..a380eea
--- /dev/null
+++ b/testing/duplicity/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=duplicity
+pkgver=0.6.11
+pkgrel=0
+pkgdesc="Encrypted bandwidth-efficient backup using the rsync algorithm"
+url="http://duplicity.nongnu.org/"
+arch="x86 x86_64"
+license="GPL"
+depends="python py-boto ncftp librsync gnupg"
+makedepends="wget python-dev py-setuptools librsync-dev"
+install=
+subpackages="$pkgname-doc"
+source="https://code.launchpad.net/$pkgname/${pkgver:0:3}-series/$pkgver/+download/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+md5sums="1116be7aababa467336eac2092f66ab7  duplicity-0.6.11.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---